<!-- Add Sub Utility Button -->
<div class="mb-2">
  <button class="btn btn-primary" (click)="openModel(addPhoneSettingModal)">
    Add
  </button>
</div>

<!-- Start of Table -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">Utilites Table</h6>
  </div>
  <div class="card-body">
    <simpliflysaas-data-table
      [loading]="phoneSettingLoading"
      [closeEditMode]="showSaveOption"
      [dataSource]="phoneSetting"
      [itemPerPage]="dataPerPage"
      [tableColumns]="phoneSettingColumns"
      [showActionField]="true"
      (delete)="openConfirmDialog($event)"
      (update)="updatePhoneSetting($event)"
      [isActionInProgress]="processingAction"
    >
    </simpliflysaas-data-table>
  </div>
</div>
<!-- End of Table -->

<!-- Add Utility Modal -->
<ng-template #addPhoneSettingModal>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Add {{ selectedUtility | titlecase }}</h4>
    <button
      type="button"
      class="close pull-right"
      aria-label="Close"
      (click)="closeModal()"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="phoneSettingForm">
      <label>Sender number</label>
      <input class="form-control" formControlName="sender_no" />
      <div
        class="error-msg"
        *ngIf="SenderPhoneNumberFormControl.errors?.required && submitted"
      >
        Sender number is required.
      </div>
      <div
        class="error-msg"
        *ngIf="
          SenderPhoneNumberFormControl.errors &&
          SenderPhoneNumberFormControl.errors.pattern &&
          submitted
        "
      >
        Sender Number is invalid.
      </div>
      <div class="receiverCountrycodeBody">
        <label>Receiver Country Code</label>
        <input class="form-control" formControlName="receiver_country_code" />
        <div
          class="error-msg"
          *ngIf="receiverCountryCodeFormControl.errors?.required && submitted"
        >
          Receiver Country Code is required.
        </div>

        <div
          class="error-msg"
          *ngIf="
            receiverCountryCodeFormControl.errors &&
            receiverCountryCodeFormControl.errors.pattern &&
            submitted
          "
        >
          Receiver Country Code is invalid.
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" type="button" (click)="closeModal()">
      Cancel
    </button>
    <button
      class="btn btn-primary"
      class="btn btn-primary"
      (click)="addPhoneSetting()"
    >
      Add
    </button>
  </div>
</ng-template>
